package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 出院记录内容缺入院诊断
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0151 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        String text = inputInfo.getLeaveHospitalDoc().getBeHospitalizedLabel().getText();
        if(!StringUtils.isBlank(text)){
            status.set("0");
        }
    }

}